Subject: bug#17120: Fwd: Error displaying a frame modified with (tool-bar-lines . 0)

From: Jan Djärv <[email-masked]>
Date: Sat, 29 Mar 2014 13:28:52 +0100

Hello.

Is this still an issue?  I can't reproduce it on Mint 16, Gtk+ 3.8.7.
It could be window manager related.  Are you running Unity?
I'll see if I have some Ubuntu lying around.

	Jan D.

2014-03-27 16:28, Juanma Barranquero skrev:
> Package: emacs
> Severity: minor
> X-Debbugs-CC: [email-masked]
>
>
> This is the underlying bug with GTK and Emacs that caused bug#17046.
>
> It's minor because it's unlikely that modifying frames' heights with
> tool-bar-lines = 0 be a common operation.
>
>
>    emacs -Q -l bug.el
>
> with bug.el:
>
> ;;; bug.el
> (let* ((default-frame-alist nil)
>         (frame (make-frame '((width . 80) (height . 20))))
>         (lines (frame-parameter frame 'tool-bar-lines)))
>    (discard-input)
>    (read-event nil nil 2)
>    (modify-frame-parameters frame '((tool-bar-lines . 0)
>                                     (width . 60) (height . 25)))
>    (modify-frame-parameters frame `((tool-bar-lines . ,lines))))
> ;;, end
>
> causes the frame to be redisplayed incorrectly (the trigger being the
> (tool-bar-lines . 0) parameter:
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?msg=26;filename=emacs-sshot.png;att=1;bug=17046
>
> This happens on a Ubuntu 13.10:
>
> GNU Emacs 24.3.50.2 (i686-pc-linux-gnu, GTK+ Version 3.8.6)
>   of 2014-03-14 on poulenc
> Repository revision: 116756 rudalics <at> gmx.at-20140314103846-ytcz7b30ocmzo8jh
> Windowing system distributor `The X.Org Foundation', version 11.0.11405000
> System Description: Ubuntu 13.10
>
> Important settings:
>    value of $LANG: en_GB.UTF-8
>    locale-coding-system: utf-8-unix
>
>